[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.Width

The width of the primary monitor.

## Declaration

Source position: forms.pp line 1304

`public property TScreen.Width : Integer read GetWidth;`

## Description

Width is a read-only Integer property with the width for the primary monitor. The property value is the result from GetSystemMetrics using the SM_CXSCREEN parameter.

Use Height to get height for the primary monitor.

Use DesktopWidth to get the usable width for the entire desktop.

## See also

TScreen.Height |  | The height of the primary monitor.
TScreen.DesktopWidth |  | The total horizontal size for the desktop.